## ros-melodic-actionlib 1.12.1

=== debian/changelog ===
ros-melodic-actionlib (1.12.1-1stretch) stretch; urgency=high

  * Address RVD`#2401 <https://github.com/ros/actionlib/issues/2401>`_ (#170 <https://github.com/ros/actionlib/issues/170>)
  * Contributors: Víctor Mayoral Vilches

 -- Michael Carroll <michael@openrobotics.org>  Fri, 21 Aug 2020 05:00:00 -0000

ros-melodic-actionlib (1.12.0-1stretch) stretch; urgency=high

  * Complete the full set of Ptr typedefs (#106 <https://github.com/ros/actionlib/issues/106>)
  * action_server calls initialize in constructor (#120 <https://github.com/ros/actionlib/issues/120>)
  * Print the correct error on waiting for result (#123 <https://github.com/ros/actionlib/issues/123>)
  * Remove getState error when no goal is running (#97 <https://github.com/ros/actionlib/issues/97>)
  * Update maintainer (#122 <https://github.com/ros/actionlib/issues/122>)
  * Contributors: Alireza, Bence Magyar, Carl Saldanha, Christopher Wecht, Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Wed, 07 Aug 2019 05:00:00 -0000

ros-melodic-actionlib (1.11.15-1stretch) stretch; urgency=high

  * unique name for axtools title bar (#107 <https://github.com/ros/actionlib/issues/107>)
  * [bugfix] add missing ros / ros console includes (#114 <https://github.com/ros/actionlib/issues/114>)
  * [bugfix] update posix_time::milliseconds for boost 1.67 (#111 <https://github.com/ros/actionlib/issues/111>)
  * [test] Use portable boost::this_thread::sleep() to sleep so it can be built on Windows (#112 <https://github.com/ros/actionlib/issues/112>)
  * Revert (#106 <https://github.com/ros/actionlib/issues/106>) that broke downstream packages (#113 <https://github.com/ros/actionlib/issues/113>)
  * Contributors: Felix Messmer, Gianfranco Costamagna, Johnson Shih, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Aug 2018 05:00:00 -0000

ros-melodic-actionlib (1.11.14-1stretch) stretch; urgency=high

  * Complete the full set of Ptr typedefs (#106 <https://github.com/ros/actionlib/issues/106>)
  * Change boost::posix_time::milliseconds init to int64_t (#105 <https://github.com/ros/actionlib/issues/105>)
  * Added ROS_ERROR message for Release code when asserts are ignored (#94 <https://github.com/ros/actionlib/issues/94>)
  * fix typos. (#102 <https://github.com/ros/actionlib/issues/102>)
  * Contributors: Bence Magyar, Patrick Beeson, Tobias Fischer, csukuangfj

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 21 May 2018 05:00:00 -0000

ros-melodic-actionlib (1.11.13-1stretch) stretch; urgency=high

  * [bugfix] added missing boost/thread/reverse_lock.hpp include (#95 <https://github.com/ros/actionlib/issues/95>)
  * Contributors: Robert Haschke

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 14 Mar 2018 05:00:00 -0000

ros-melodic-actionlib (1.11.12-1stretch) stretch; urgency=high

  * fix uncrustify mixup (#92 <https://github.com/ros/actionlib/issues/92>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-melodic-actionlib (1.11.11-1stretch) stretch; urgency=high

  * fix typo in server_goal_handle_imp.h (#89 <https://github.com/ros/actionlib/issues/89>)
  * Use RAII to handle mutexes (#87 <https://github.com/ros/actionlib/issues/87>)
  * Contributors: Cong Liu, Esteve Fernandez, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 27 Oct 2017 05:00:00 -0000

ros-melodic-actionlib (1.11.10-1stretch) stretch; urgency=high

  * Clang tidy fixes (#86 <https://github.com/ros/actionlib/issues/86>)
  * C++ style (#72 <https://github.com/ros/actionlib/issues/72>)
  * Proper return value after assert (#83 <https://github.com/ros/actionlib/issues/83>)
  * switch to package format 2 (#82 <https://github.com/ros/actionlib/issues/82>)
  * remove trailing whitespaces (#81 <https://github.com/ros/actionlib/issues/81>)
  * lock listhandle earlier in getCommState in client_goal_handle_imp. active bool critical (#77 <https://github.com/ros/actionlib/issues/77>)
  * add missing runtime dependencies (#79 <https://github.com/ros/actionlib/issues/79>)
  * Contributors: Esteve Fernandez, Mikael Arguedas, johaq

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-melodic-actionlib (1.11.9-1stretch) stretch; urgency=high

  * Python3 compatibility + pep8 compliance (#71 <https://github.com/ros/actionlib/issues/71>) follow-up of (#43 <https://github.com/ros/actionlib/issues/43>)
  * 
    
      * wait for ros::Time::now to become valid before init of connection_monitor (#62 <https://github.com/ros/actionlib/issues/62>)
      * bugfix : connection_monitor should wait for result
    
  * fixed default value for rosparam. closes #69 <https://github.com/ros/actionlib/issues/69> (#70 <https://github.com/ros/actionlib/issues/70>)
  * Contributors: 1r0b1n0, Mikael Arguedas, Piyush Khandelwal

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-melodic-actionlib (1.11.8-1stretch) stretch; urgency=high

  * Fixes a deadlock (#64 <https://github.com/ros/actionlib/issues/64>)
  * Removed unused variables warnings (#63 <https://github.com/ros/actionlib/issues/63> #65 <https://github.com/ros/actionlib/issues/65>)
  * If using sim time, wait for /clock (#59 <https://github.com/ros/actionlib/issues/59>)
  * add parameters to configure queue sizes (#55 <https://github.com/ros/actionlib/pull/55>)
  * Contributors: Esteve Fernandez, Jonathan Meyer, Mikael Arguedas, Patrick Beeson, Robin Vanhove

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 17 Feb 2017 06:00:00 -0000

ros-melodic-actionlib (1.11.7-1stretch) stretch; urgency=high

  * Merge pull request #57 <https://github.com/ros/actionlib/issues/57> from stonier/patch-1
    Remove misleading error log
  * Remove misleading error log
    This was introduced in https://github.com/ros/actionlib/pull/43.
    It is not actually correct - you can feasibly get feedback here before a new goal is confirmed. See send_goal()....

