=== debian/control ===
Source: ros-melodic-actionlib
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-actionlib-msgs, ros-melodic-catkin (>= 0.5.78), ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-rosnode, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: http://www.ros.org/wiki/actionlib
Standards-Version: 3.9.2

Package: ros-melodic-actionlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, python-wxtools, ros-melodic-actionlib-msgs, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-rostopic, ros-melodic-std-msgs
Description: The actionlib stack provides a standardized interface for interfacing with preemptable tasks.
 Examples of this include moving the base to a target location, performing a laser scan and returning the resulting point cloud, detecting the handle of a door, etc.
